// ConstructionSite.cpp : Defines the entry point for the console application.
//
// begun 9/25/2008 - Michael Gleicher
//
// What the main routine needs to do is:
//	1. Set up the initial window (which contains the "world")
//  2. Add any machines to the world that you want
//  3. Start the interactive loop
//
// Note that only #2 should need to be changed for any individual project.
//
// for the "demo stuff" we have a #define that includes all the examples
// we don't distribute - you can ignore it (just make sure DEMO_CODE isn't defined)

#include "ConstructionSiteWindow.H"
#include "ExampleMachine.H"
#ifdef DEMO_CODE
#include "SampleSolution/SampleMain.H"
#endif

// code is sloppy
#pragma warning(push)
#pragma warning(disable:4312)
#pragma warning(disable:4311)
#include <Fl/Fl.H>
#pragma warning(pop)

int main(int argc, char* argv[])
{
	// initial creation of the window
	ConstructionSiteWindow* csw = new ConstructionSiteWindow();

	// THIS IS WHERE SOME STUDENT STUFF GOES
	// put some objects in the world 
#ifdef DEMO_CODE
	installDemoObjects(csw);
#endif
	// put some simple objects into the world - once you have real objects,
	// you can take these out
	csw->add(new ExampleMachine("Example1", 0,0,2));
	csw->add(new ExampleMachine("Example2",10,0,2));

	// make the world run...
	csw->show();
	Fl::run();

	return 0;
}


// CVS Header - if you don't know what this is, don't worry about it
// $Header: /p/course/cs559-gleicher/private/CVS/ConstructionSite/ConstructionSite/ConstructionSite.cpp,v 1.8 2008/10/02 15:02:05 gleicher Exp $
