#pragma once
// ConstructionSite - CS559 example program
// Mike Gleicher, 9/25/2008
// ExampleMachine.H - Definition of a sample "Machine" - this is something
// like what a student/user would define. Except that its totally simple.

// include the header that defines the base class
#include "Machine.H"


class ExampleMachine : public Machine
{
public:
	// a constructor - allows us to put it in a particular place to start with
	ExampleMachine(const char* name="example", const float x=0, const float z=0, const float s=10);

	// the draw method
	virtual void draw();
	// we have to provide the camera method
	virtual void lookAtMe(float aspect);
};

// CVS Header - if you don't know what this is, don't worry about it
// $Header: /p/course/cs559-gleicher/private/CVS/ConstructionSite/ConstructionSite/ExampleMachine.h,v 1.4 2008/09/29 18:57:39 gleicher Exp $
